import request from '@/utils/request'

// 查询企业域名分配中间表列表
export function listCompanyBindUser(query) {
  return request({
    url: '/company/companyBindUser/list',
    method: 'get',
    params: query
  })
}

// 查询企业域名分配中间表详细
export function getCompanyBindUser(id) {
  return request({
    url: '/company/companyBindUser/' + id,
    method: 'get'
  })
}

// 新增企业域名分配中间表
export function addCompanyBindUser(data) {
  return request({
    url: '/company/companyBindUser',
    method: 'post',
    data: data
  })
}

// 修改企业域名分配中间表
export function updateCompanyBindUser(data) {
  return request({
    url: '/company/companyBindUser',
    method: 'put',
    data: data
  })
}

// 删除企业域名分配中间表
export function delCompanyBindUser(id) {
  return request({
    url: '/company/companyBindUser/' + id,
    method: 'delete'
  })
}

// 导出企业域名分配中间表
export function exportCompanyBindUser(query) {
  return request({
    url: '/company/companyBindUser/export',
    method: 'get',
    params: query
  })
}
